User talk:Reidgreg: Difference between revisions

The encyclopedia anyone can edit?
(used computer?)
(The encyclopedia anyone can edit?)
{{semi-retired|The Wikimedia Foundation has chosen to remove support for "insecure ciphersuites" and effectively locked me out of my account. I seem to be left with the choice of an <s>expensive</s> computer upgrade, opening myself to security risks by editing from my IP address, or end four-and-a-half years of volunteering here. My best wishes for The Project, and my sympathies to others in similar positions.|date=1 October 2020}}
{{Trout me}}{{Extended confirmed topicon}}{{Massmessage-sender topicon}}{{Autopatrolled topicon}}{{WikiGnome topicon}}{{GOCE topicon}}
{{Precious topicon}}
I became aware of this when I saw your name removed from the GOCE mailing list. Needless to say, your contributions at the guild have been considerable. I hope your problems can be resolved so that you can continue, if that is your wish. [[User:Dhtwiki|Dhtwiki]] ([[User talk:Dhtwiki|talk]]) 21:57, 2 October 2020 (UTC)
:Reidgreg, do you have a link to information about these "insecure ciphersuites" you refer to in your message? I will offer technical help if I can. If it is not giving away too much personal information, what OS and browser are you using to get to WP? I have a computer that is over eight years old, and it works perfectly on WP, so it seems like a used computer would not be too expensive. I don't know your financial situation, though. If you can afford $400, [https://www.newegg.com/silver-apple-macbook-air-md711ll-b-workstation/p/2SN-0001-00BK9?item=9SIA8HFC5S2785&nm_mc=knc-googleadwords&cm_mmc=knc-googleadwords-_-mac%20-%20notebooks-_-apple-_-9SIA8HFC5S2785&source=region a MacBook Air like this one] is newer than my computer and would be a great WP editing computer. I imagine that there are even better deals out there. – [[User:Jonesey95|Jonesey95]] ([[User talk:Jonesey95|talk]]) 00:36, 3 October 2020 (UTC)
::Thanks all. {{ping|Jonesey95}} The WF message appears on the failed login screen; I've been unable to find the text here or at Wikimedia. It states:
 
{{mbox|image=[[File:Wikimedia_Foundation_logo_-_vertical.svg|thumb]]|text=
'''Your Browser's Connection Security is Outdated'''
 
'''English:''' Wikipedia is making the site more secure. You are using an old web browser that will not be able to connect to Wikipedia in the future. Please update your device or contact your IT administrator.
 
.
.
.
 
We are removing support for insecure ciphersuites using the CBC mode, specifically ECDHE-ECDSA-AES128-SHA, which your browser software relies on to connect to our sites. This is usually caused by outdated browsers, or older Android smartphones. Apple users should upgrade to iOS 9 or MacOS X 10.11 or higher. Or it could be interference from corporate or personal "Web Security" software, which actually downgrades connection security.
 
You must upgrade your web browser or otherwise fix this issue to access our sites. This message will remain until November 1, 2020. After that date, your browser will not be able to establish a connection to our servers.
 
See also the [https://wikitech.wikimedia.org/wiki/HTTPS/Browser_Recommendations HTTPS Browser Recommendations] page for more-detailed information.}}
::I'd previously tried the required OS and browser but their performance on my hardware was rather frustrating. I think my best bet would be to use a hard drive partition for the newer OS and browser to retain the functionality of my existing software, and reboot from the new partition only when editing Wikipedia. That would change the way I edit and my approach to this hobby.
::This is something I don't really want to deal with right now, with some other things I have going on. I'll probably be semi-retired for a couple months until I can reevaluate. – [[User:Reidgreg|Reidgreg]] ([[User talk:Reidgreg#top|talk]]) 17:10, 5 October 2020 (UTC)